<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFDateAxis (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFDateAxis (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFDateAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLayout.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFDateAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.chart</div>
    <h2 title="Class XDDFDateAxis" class="title">Class XDDFDateAxis</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                       title="class in org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart.XDDFChartAxis</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xddf.usermodel.chart.XDDFDateAxis</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xddf/usermodel/HasShapeProperties.html"
                           title="interface in org.apache.poi.xddf.usermodel">HasShapeProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFDateAxis</span>
extends <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
           title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></pre>
                <div class="block">Date axis type. Currently only implements the same values as
                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryAxis.html"
                       title="class in org.apache.poi.xddf.usermodel.chart"><code>XDDFCategoryAxis</code></a>, since the
                    two are nearly identical.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#XDDFDateAxis-org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx-">XDDFDateAxis</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx&nbsp;ctDateAx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#XDDFDateAxis-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-org.apache.poi.xddf.usermodel.chart.AxisPosition-">XDDFDateAxis</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;plotArea,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                                       title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a>&nbsp;position)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">crossAxis</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&nbsp;axis)</code>
                                    <div class="block">Declare this axis cross another axis.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getCTAxId--">getCTAxId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getCTAxPos--">getCTAxPos</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getCTCrosses--">getCTCrosses</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getCTNumFmt--">getCTNumFmt</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getCTScaling--">getCTScaling</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getDelete--">getDelete</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getMajorCTTickMark--">getMajorCTTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getMajorUnit--">getMajorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getMinorCTTickMark--">getMinorCTTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getMinorUnit--">getMinorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getOrAddMajorGridProperties--">getOrAddMajorGridProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getOrAddMinorGridProperties--">getOrAddMinorGridProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#getOrAddShapeProperties--">getOrAddShapeProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#hasNumberFormat--">hasNumberFormat</a></span>()</code>
                                    <div class="block">Use this to check before retrieving a number format, as calling
                                        <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--"><code>XDDFChartAxis.getNumberFormat()</code></a>
                                        may create a default one if none exists.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#isSetMajorUnit--">isSetMajorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#isSetMinorUnit--">isSetMinorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#setMajorUnit-double-">setMajorUnit</a></span>(double&nbsp;major)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#setMinorUnit-double-">setMinorUnit</a></span>(double&nbsp;minor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChartAxis">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xddf.usermodel.chart.<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCrosses--">getCrosses</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getId--">getId</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getLogBase--">getLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorTickMark--">getMajorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMaximum--">getMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinimum--">getMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorTickMark--">getMinorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNextAxId-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-">getNextAxId</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--">getNumberFormat</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddLinesProperties-org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines-">getOrAddLinesProperties</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrientation--">getOrientation</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getPosition--">getPosition</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetLogBase--">isSetLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMaximum--">isSetMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMinimum--">isSetMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isVisible--">isVisible</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setCrosses-org.apache.poi.xddf.usermodel.chart.AxisCrosses-">setCrosses</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setLogBase-double-">setLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMajorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">setMajorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMaximum-double-">setMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinimum-double-">setMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">setMinorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setNumberFormat-java.lang.String-">setNumberFormat</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setOrientation-org.apache.poi.xddf.usermodel.chart.AxisOrientation-">setOrientation</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setPosition-org.apache.poi.xddf.usermodel.chart.AxisPosition-">setPosition</a>,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setVisible-boolean-">setVisible</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFDateAxis-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-org.apache.poi.xddf.usermodel.chart.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFDateAxis</h4>
                                <pre>public&nbsp;XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;plotArea,
                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                       title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a>&nbsp;position)</pre>
                            </li>
                        </ul>
                        <a name="XDDFDateAxis-org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFDateAxis</h4>
                                <pre>public&nbsp;XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx&nbsp;ctDateAx)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getOrAddMajorGridProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddMajorGridProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a>&nbsp;getOrAddMajorGridProperties()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddMajorGridProperties--">getOrAddMajorGridProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrAddMinorGridProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddMinorGridProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a>&nbsp;getOrAddMinorGridProperties()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddMinorGridProperties--">getOrAddMinorGridProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrAddShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddShapeProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a>&nbsp;getOrAddShapeProperties()</pre>
                            </li>
                        </ul>
                        <a name="setTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitle</h4>
                                <pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;text)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setTitle-java.lang.String-">setTitle</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMinorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMinorUnit</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetMinorUnit()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMinorUnit--">isSetMinorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if minor unit value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinorUnit-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinorUnit</h4>
                                <pre>public&nbsp;void&nbsp;setMinorUnit(double&nbsp;minor)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinorUnit-double-">setMinorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>minor</code> - axis minor unit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinorUnit</h4>
                                <pre>public&nbsp;double&nbsp;getMinorUnit()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorUnit--">getMinorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis minor unit or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMajorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMajorUnit</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetMajorUnit()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMajorUnit--">isSetMajorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if major unit value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMajorUnit-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMajorUnit</h4>
                                <pre>public&nbsp;void&nbsp;setMajorUnit(double&nbsp;major)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMajorUnit-double-">setMajorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>major</code> - axis major unit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMajorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorUnit</h4>
                                <pre>public&nbsp;double&nbsp;getMajorUnit()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorUnit--">getMajorUnit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis major unit or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>crossAxis</h4>
                                <pre>public&nbsp;void&nbsp;crossAxis(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&nbsp;axis)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">XDDFChartAxis</a></code></span>
                                </div>
                                <div class="block">Declare this axis cross another axis.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">crossAxis</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>axis</code> - that this axis should cross</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTAxId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTAxId</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt&nbsp;getCTAxId()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTAxId--">getCTAxId</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTAxPos--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTAxPos</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos&nbsp;getCTAxPos()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTAxPos--">getCTAxPos</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasNumberFormat</h4>
                                <pre>public&nbsp;boolean&nbsp;hasNumberFormat()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#hasNumberFormat--">XDDFChartAxis</a></code></span>
                                </div>
                                <div class="block">Use this to check before retrieving a number format, as calling
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--"><code>XDDFChartAxis.getNumberFormat()</code></a>
                                    may create a default one if none exists.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#hasNumberFormat--">hasNumberFormat</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if a number format element is defined, false if not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTNumFmt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTNumFmt</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt&nbsp;getCTNumFmt()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTNumFmt--">getCTNumFmt</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTScaling--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTScaling</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling&nbsp;getCTScaling()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTScaling--">getCTScaling</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTCrosses--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTCrosses</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses&nbsp;getCTCrosses()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTCrosses--">getCTCrosses</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDelete--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDelete</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean&nbsp;getDelete()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getDelete--">getDelete</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMajorCTTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorCTTickMark</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark&nbsp;getMajorCTTickMark()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorCTTickMark--">getMajorCTTickMark</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinorCTTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getMinorCTTickMark</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark&nbsp;getMinorCTTickMark()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorCTTickMark--">getMinorCTTickMark</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFDateAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLayout.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFDateAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
